package com.flossom.system.service.impl;

import java.util.List;

import com.flossom.common.core.domain.entity.WxModeCombineInfo;
import com.flossom.common.core.mapper.WxModeCombineInfoMapper;
import com.flossom.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.flossom.system.service.IWxModeCombineInfoService;

/**
 * 模式组合Service业务层处理
 *
 * @author flossom
 * @date 2024-02-01
 */
@Service
public class WxModeCombineInfoServiceImpl implements IWxModeCombineInfoService
{
    @Autowired
    private WxModeCombineInfoMapper wxModeCombineInfoMapper;

    /**
     * 查询模式组合
     *
     * @param id 模式组合主键
     * @return 模式组合
     */
    @Override
    public WxModeCombineInfo selectWxModeCombineInfoById(Long id)
    {
        return wxModeCombineInfoMapper.selectWxModeCombineInfoById(id);
    }

    /**
     * 查询模式组合列表
     *
     * @param wxModeCombineInfo 模式组合
     * @return 模式组合
     */
    @Override
    public List<WxModeCombineInfo> selectWxModeCombineInfoList(WxModeCombineInfo wxModeCombineInfo)
    {
        return wxModeCombineInfoMapper.selectWxModeCombineInfoList(wxModeCombineInfo);
    }

    /**
     * 新增模式组合
     *
     * @param wxModeCombineInfo 模式组合
     * @return 结果
     */
    @Override
    public int insertWxModeCombineInfo(WxModeCombineInfo wxModeCombineInfo)
    {
        wxModeCombineInfo.setCreateTime(DateUtils.getNowDate());
        return wxModeCombineInfoMapper.insertWxModeCombineInfo(wxModeCombineInfo);
    }

    /**
     * 修改模式组合
     *
     * @param wxModeCombineInfo 模式组合
     * @return 结果
     */
    @Override
    public int updateWxModeCombineInfo(WxModeCombineInfo wxModeCombineInfo)
    {
        return wxModeCombineInfoMapper.updateWxModeCombineInfo(wxModeCombineInfo);
    }

    /**
     * 批量删除模式组合
     *
     * @param ids 需要删除的模式组合主键
     * @return 结果
     */
    @Override
    public int deleteWxModeCombineInfoByIds(Long[] ids)
    {
        return wxModeCombineInfoMapper.deleteWxModeCombineInfoByIds(ids);
    }

    /**
     * 删除模式组合信息
     *
     * @param id 模式组合主键
     * @return 结果
     */
    @Override
    public int deleteWxModeCombineInfoById(Long id)
    {
        return wxModeCombineInfoMapper.deleteWxModeCombineInfoById(id);
    }
}
